.main-header-container {
    position: sticky;
    top: 0;
    display: flex;
    justify-content: center;
    width: 100%;
    background: white;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    z-index: 100;
}

.main-header-container > .main-header {
    display: grid;
    grid-template-columns: auto 1fr auto auto;
    align-items: center;
    flex: 1;
    height: 96px;
    padding: 0 64px;
}

.main-header-container > .main-header > .hamburger-button-container {
    display: none;
}

.main-header-container > .main-header > .logo-container {
    display: flex;
    justify-content: center;
}

.main-header-container > .main-header > .logo-container > a > img {
    width: 200px;
}

.main-header-container > .main-header > .main-header-items {
    display: grid;
    align-items: center;
    grid-auto-flow: column;
    /*gap: 32px;*/
    justify-self: center;
    padding: 0 32px;
}

.main-header-container > .main-header > .main-header-items > .main-header-item {
    position: relative;
    display: grid;
    align-items: center;
    height: 92px;
    padding: 0 16px;
    border-top: 2px solid white;
    border-bottom: 2px solid white;
}

.main-header-container > .main-header > .main-header-items > .main-header-item:hover,
.main-header-container > .main-header > .main-header-items > .main-header-item.main-header-item-touched {
    border-bottom-color: #e94e1b;
}

.main-header-container > .main-header a.icon-button,
.main-header-container > .main-header > .main-header-items > .main-header-item > a,
.main-header-container > .main-header > .search-container > .search-input > .recent-searches-container > .recent-searches > a {
    color: black;
    font-size: 1em;
    text-decoration: none;
}

.main-header-container > .main-header a.icon-button > img {
    width: 20px;
    height: 20px;
}

.main-header-container > .main-header a.icon-button.icon-button-big > img {
    width: 32px;
    height: 32px;
}

.main-header-container > .main-header > a.trial-button {
    justify-self: start;
    margin-left: 32px;
}

.main-header-container > .main-header > .search-container,
.main-header-container > .main-header > .close-search-container {
    display: none;
}

.main-header-container > .main-header > .search-container > .search-input {
    position: relative;
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 16px;
    flex: 1;
    max-width: 512px;
    border-radius: 4px;
    padding: 12px 16px;
    border: 2px solid #eee;
}

.main-header-container > .main-header > .search-container > .search-input > img {
    width: 24px;
    height: 24px;
}

.main-header-container > .main-header > .search-container > .search-input > input {
    font-size: 18px;
    outline: none;
    border: none;
    width: 100%;
}

.main-header-container > .main-header > .search-container > .search-input > input::placeholder {
    color: #bababa;
}

.main-header-container > .main-header > .search-container > .search-input > .recent-searches-container {
    position: absolute;
    top: 52px;
    left: 0;
    right: 0;
    background-color: white;
    border-radius: 4px;
    padding: 16px;
    z-index: 1;
}

.main-header-container > .main-header > .search-container > .search-input > .recent-searches-container > .recent-searches {
    display: grid;
    grid-template-columns: 1fr;
    gap: 16px;
}

.main-header-container > .main-header > .search-container > .search-input > .recent-searches-container > .recent-searches > * {
    text-align: center;
}

.main-header-container > .main-header > .search-container > .search-input > .recent-searches-container > .recent-searches > .recent-searches-header {
    color: #BABABA;
    font-size: 12px;
}

@media screen and (max-width: 1200px) {
    .main-header-container > .main-header {
        padding: 0 32px;
    }

    .main-header-container > .main-header > a.trial-button {
        display: none;
    }
}

@media screen and (max-width: 992px) {
    .main-header-container > .main-header {
        padding: 0 24px;
    }

    .main-header-container > .main-header > .hamburger-button-container {
        display: flex;
    }

    .main-header-container > .main-header > .main-header-items {
        display: none;
    }

    .main-header-container > .main-header > .search-container > .search-input {
        max-width: initial;
    }
}

.main-header-container.search-active > .main-header {
    grid-template-columns: 200px 1fr 200px;
}

.main-header-container.search-active > .main-header > .main-header-items,
.main-header-container.search-active > .main-header > .open-search-container,
.main-header-container.search-active > .main-header > a.trial-button {
    display: none;
}

.main-header-container.search-active > .main-header > .search-container {
    display: flex;
    justify-content: center;
}

.main-header-container.search-active > .main-header > .close-search-container {
    display: flex;
    justify-content: flex-end;
}

@media screen and (max-width: 992px) {
    .main-header-container.search-active > .main-header {
        grid-template-columns: 1fr auto;
        gap: 16px;
    }

    .main-header-container.search-active > .main-header > .logo-container,
    .main-header-container.search-active > .main-header > .hamburger-button-container {
        display: none;
    }

    .main-header-container.search-active {
        position: fixed;
        top: 0;
        background-color: white;
        z-index: 1;
    }

    .main-header-container > .main-header > .search-container > .search-input > .recent-searches-container {
        position: fixed;
        top: 96px;
        bottom: 0;
        border-radius: 0px;
    }
}




.full-height-image {
    position: relative;
    width: 100%;
    height: calc(100vh - 97px);
    min-height: 400px;
}

.full-height-image img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.full-height-image .full-height-image-content {
    position: absolute;
    inset: 0;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    padding: 0 25vw;
}

.full-height-image .full-height-image-content .full-height-image-text {
    font-family: "stolzl", sans-serif;
    color: white;
    font-size: 48px;
    max-width: 50vw;
}

.full-height-image .full-height-image-content a.full-height-image-action {
    line-height: 48px;
    height: 48px;
    padding: 0 16px;
    margin-top: 16px;
    font-size: 24px;
    color: white;
    text-decoration: none;
    border: 1px solid white;
    border-radius: 24px;
}

@media screen and (max-width: 992px) {
    .full-height-image .full-height-image-content {
        padding: 0 10vw;
    }

    .full-height-image .full-height-image-content .full-height-image-text {
        font-size: 32px;
        max-width: 80vw;
    }

    .full-height-image .full-height-image-content a.full-height-image-action {
        line-height: 32px;
        height: 32px;
        margin-top: 12px;
        font-size: 16px;
        border-radius: 16px;
    }
}
